# Handbok Terminal

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Underhållare
Michael
McBride
Granskning

    mmcbride@ematic.com

Lauri
Watts
Granskning

    lauri@kde.org

Stefan
Asserhäll

    stefan.asserhall@telia.com

Översättare
2000
2001
2002
Jonathan Singer
&FDLNotice;
2001-12-25
1.10.00

Det här dokumentet är användarhandboken för terminalprogrammet.

Terminal är en X-terminalemulator för &kde;.

KDE
konsole
kdebase
kommando
rad

## Introduktion till Terminal

### Vad är en terminal?

&UNIX; operativsystem konstruerades från början enbart som textsystem, styrda av tangentbordskommandon -- vad som är känd som ett kommandoradsgränssnitt (CLI). &X-Window;, &kde; och andra projekt har därefter lagt till det grafiska gränssnitt som du använder nu. Men det grundläggande CLI-systemet finns fortfarande där, och är ofta det enklaste, snabbaste och mest kraftfulla sättet att utföra många aktiviteter.

Terminal är vad som är känt som en X-terminalemulator, ofta kallat en terminal eller ett skal. Den ger dig motsvarigheten av en gammalmodig textskärm på ditt skrivbord, men en som lätt kan dela skärmen med dina grafiska program. Windowsanvändare kanske känner till verktyget MS-DOS Prompt, som har motsvarande funktion av att erbjuda en DOS-kommandorad för &Windows;. (Även om en &UNIX; CLI är mycket kraftfullare och mer lättanvänd än DOS!)

Att förklara användningen av en &UNIX; CLI är utanför syftet med det här dokumentet, eftersom det skulle kräva en tjock bok. Som tur är finns många sådana böcker tillgängliga på många språk i bokhandeln eller på bibliotek. Det finns också handledningar tillgängliga på Internet. Njut av &kde;, men tveka inte att lära dig använda kommandoraden! Du kommer att märka att lära sig bara det grundläggande, gör datoranvändningen mycket effektivare och trevligare.

### Vad gör Terminal speciell?

Terminalens avancerade funktioner är bland annat en enkel anpassning och möjligheten att visa flera terminalskal i ett enda fönster, som resulterar i ett mindre stökigt skrivbord.

Med hjälp av Terminal kan en användare öppna:

- &Linux; konsollsessioner

- Skalsessioner

- Screen-sessioner

- Midnight Commander filhanteringssessioner

- Root-konsollsessioner

- Root Midnight Commander-sessioner

Dessa sessioner kan döpas om för att hjälpa dig hålla reda på alla dina skal, och du kan skicka signaler till dem (STOP, CONT, HUP, INT, TERM, KILL).

För att få mer kontroll över Terminal kan en användare:

- visa/gömma menyraden, verktygsraden och/eller fönsterramen

- välja storleken på ett terminalfönster, teckensnitt, färgscheman och tangentbindningar

- ändra plats på rullningslisten eller gömma den

Alla inställningar som väljs kan göras till förval för framtida sessioner genom att spara dem.

För de med ett djupt intresse av fria X-terminalers taxonomi, finns det två andra av samma sort: xterm, originalet, skrevs redan innan X själv (ungefär en månad), och xvt, en lättviktig xterm-klon, som de flesta andra nuvarande varianter (särskilt eterm) är baserade på.

Efter ett decennium, är &konsole; den första helt nyskrivna versionen. Medan xterm definitivt har hackats till döds (dess `README`-fil börjar med citatet Lämnen varje hopp i som här ingån), ger &konsole; en ny början med samtida teknik och förståelse av X.

## Användning av Terminal

### Uppstart

När Terminal startas, körs ett program (typiskt ett &UNIX;-skal) i fönstret. Skriv helt enkelt in kommandon vid prompten.

Terminalskärmen
Terminalskärmen

Ett fönster med "Dagens tips" kan också visas vid uppstart, och ge tips om hur programmet används. Om du inte vill få tips, avmarkera rutan Visa vid start.

### Historik

När rader rullar upp ovanför skärmens överkant, kan de granskas genom att flytta rullningslisten uppåt, eller genom att använda tangenterna Skift Page Up (för att flytta bakåt en sida), Skift Page Down (för att flytta framåt en sida), Skift Upp (för att flytta upp en rad) och Skift Ner (för att flytta ner en rad), under förutsättning att "Historik" är aktiverad.

### Musknappar

Vänster

  Ett klick på vänster knapp skickas som en händelse till programmet som körs i emulatorn, om det känner till musen. Om ett program reagerar på musklick, indikerar Terminal detta genom att visa en pilmarkör. Om inte visas en I-formad (stapel) markör.

  Att hålla nere vänsterknappen och dra musen över skärmen med ett program som inte känner till musen, markerar ett område av texten. Medan man drar visas den markerade texten i omvända färger som synligt gensvar. När knappen släpps kopieras den markerade texten till klippbordet för ytterligare användning inom Terminal eller i ett annat program. Den markerade texten kan också dras och släppas i program som kan hantera detta. Klicka på den markerade texten och dra den till den önskade platsen.

  Normalt så infogas nyradstecken i slutet på varje rad som väljs. Det här är bäst för klipp och klistra av källkod, eller utmatning från ett enskilt kommando. För normal text är radbrytningar ofta inte viktiga. Man kan ibland föredra att texten är en sekvens av tecken som automatiskt formatteras om när de klipps in i ett annat program. För att välja med teckensekvensläge, håll nere &Ctrl;-tangenten och välj som vanligt.

  Om den övre eller nedre kanten av textområdet rörs medan man markerar, rullar Terminal texten uppåt eller neråt, och visar till slut text i historikbufferten. Rullningen stannar när musen stannar.

  Efter musen har stannat försöker Terminal behålla texten på klippbordet synlig genom att behålla det markerade området i omvända färger. Det markerade området återgår till normalläge så fort innehållet i klippbordet ändras, texten i det markerade området ändras eller vänster-knappen klickas.

  För att markera text i ett program som känner till musen, måste Skift-tangenten hållas nere när man klickar.

Mitten

  Att trycka på mittknappen klistrar in text som för närvarande finns på klippbordet. Att hålla nere &Ctrl;-tangenten när du trycker på mittknappen, klistrar in texten och skickar den till Terminal.

  Om du har en mus med bara två knappar, emuleras mittenknappen på en mus med tre knappar genom att trycka på både vänster- och högerknappen..

Höger

  Högerknappen visar menyn med menyalternativen Visa menyrad, Klistra in, Skicka signal, Byt namn på sessionen, Inställningar och Stäng session. Knappen &Ctrl; höger visar menyn Sessioner.

### Menyraden

Menyraden är överst i terminalfönstret. Den kan döljas och visas genom att växla med Visa menyrad i menyn Inställningar. När menyraden är dold kan Visa menyrad nås genom att högerklicka i fönstret eller med &Alt;&Ctrl;M .

#### Menyn Session

Sessioner Nytt skal

  Öppnar en ny session med ett terminalskal. &Alt;&Ctrl;N kan också användas, vilket beskrivs utförligare nedan.

Sessioner Ny session med screen...

  Öppnar en ny session med den virtuella terminalhanteraren screen. Se ``man` `screen`` för mer information.

Sessioner Ny rootkonsoll

  Öppnar en ny session med ett terminalskal, som användaren root.

  Efter att ha blivit tillfrågad om root-lösenordet, visas #-prompten, som indikerar att användaren arbetar med root-rättigheter. Detta är ofta nödvändigt för att kunna installera ny programvara och annat systemunderhåll, men försiktighet bör iakttas för att undvika skador av misstag.

Session Ny Midnight Commander

  Öppnar en ny session med den grafiska filbläddraren Midnight Commander.

Sessioner Ny Linuxkonsoll

  Öppnar en ny session som emulerar ett textbaserat &Linux;-system.

  Se filen `README.linux.console` i källkodspaketet för &konsole; där detaljerad information om hur &Linux;-konsollen skiljer sig från en typisk &UNIX;-konsoll ges. Om det här inte är meningsfullt för dig, behöver du helt säkert inte bry dig om det.

Sessioner Ny Midnight Commander för root

  Öppnar en ny session med den grafiska filbläddraren Midnight Commander, som användaren root.

  Efter att ha blivit tillfrågad om root-lösenordet, visas #-prompten i bläddrarfönstret, som indikerar att användaren arbetar med root-rättigheter. Återigen, att arbeta som root är ofta nödvändigt, men försiktighet bör iakttas för att undvika skador av misstag.

Sessioner Stäng session

  Stänger den nuvarande sessionen.

Sessioner Avsluta

  Avslutar Terminal, och stänger alla sessioner och alla program som startats i dem.

Du kan också öppna en ny session med en snabbtangent. Normalt används &Alt;&Ctrl;N . Du kan också definiera din egen snabbtangent för att starta en ny terminalsession. Filerna med ändelsen `*.keytab` i `$`KDEDIR`/share/apps/konsole` definierar snabbtangenter.

Att lägga till definitionen `key F12 + Shift : newSession` i den aktiva keytab-filen gör till exempel att ett nytt skal startas om man trycker &Shift;F12. Använd menykommandot Inställningar Tangentbord för att välja en keytab-fil. Filen `README.KeyTab` innehåller mer information om hur man definierar snabbtangenter.

Till sist, observera att sessionstyper kan ändras, och nya typer kan skapas, genom att använda modulen Personalisering Konsole i inställningscentralen.

#### Menyn Redigera

Redigera Klistra in

  Klipper in text från klippbordet på markörens plats.

Redigera Skicka signal

  Skicka signal - Skickar den angivna signalen till skalprocessen, eller en annan process som kördes när den nya sessionen startades.

  För närvarande är de tillgängliga signalerna:

  STOP | stoppa aktivitet
  CONT | återuppta aktivitet om stannad
  HUP | lägg på detekterad på kontrollerande terminal, eller den kontrollerande aktiviteten har dödats
  INT | avbrott från tangentbordet
  TERM | avsluta aktivitet
  KILL | döda aktivitet

  Titta i systemets manualsidor för ytterligare detaljer genom att ange kommandot ``man` `7 signal``.

Redigera Sök i historik

  Söker efter ett ord eller textsträng i den aktiva historiken. Alternativ tillåter skiftlägeskänsliga sökningar eller bakåtsökningar.

Redigera Spara historik som

  Sparar den nuvarande historiken som en textfil.

Redigera Töm historik

  Rensar historiken för den aktiva sessionen.

Redigera Töm all historik

  Rensar historiken för alla sessioner.

#### Menyn Visa

Visa Byt namn på session

  Öppnar en dialogruta som låter dig byta namn på den nuvarande sessionen. Namnet visas på sessionens flik. &Alt;&Ctrl;S kan också användas.

Visa Övervakare av aktivitet

  Markerar den aktiva sessionen så att den visar ett larm om någon aktivitet inträffar. En ikon med en tänd glödlampa visas i sessionens flik. Använd det här för att larma om någonting händer medan du arbetar i en annan session.

Visa Övervakare av tystnad

  Markerar den aktiva sessionen så att den visar ett larm om ingen aktivitet sker på 10 sekunder. En ikon med en släckt glödlampa visas i sessionens flik. Använd det här för att larma om en aktivitet stoppar medan du arbetar i en annan session.

Visa Skicka inmatning till alla sessioner

  Markerar den aktiva session så att alla kommandon som skrivs in i den skickas till alla sessioner. Sessionen får en liten ikon i sin flik som påminner dig om att vara försiktig med vad du skriver in! Det är till exempel förmodligen ingen bra idé att skriva ``rm` `-rf *``.

Visa Flytta session åt vänster

  Flyttar fliken för den aktiva sessionen en flik åt vänster.

Visa Flytta session åt höger

  Flyttar fliken för den aktiva sessionen en flik åt höger.

  Skift Vänster och Skift Höger kan också användas för att byta mellan sessioner.

Visa Sessionsikoner...

  Längst ner på menyn är en lista på tillgängliga sessioner. Genom att välja en blir den aktiv.

  Du kan också använda tangenterna Skift Vänster/Skift Höger för att gå igenom de tillgängliga sessionerna cykliskt.

#### Menyn Inställningar

Inställningar Visa menyrad

  Visar eller döljer menyraden.

Inställningar Visa verktygsrad

  Visar eller döljer verktygsraden.

Inställningar Rullningslist

  Kontrollerar placeringen av rullningslisten: Göm, Vänster, eller Höger

Inställningar Fullskärm

  Växlar fönstret mellan fullskärmsläge och normalläge

Inställningar Alarm

  Ställer in systemets alarm till en &kde; systemunderrättelse eller en synlig blinkning, eller stänger av det.

Inställningar Teckensnitt

  Ställer in teckensnitt och teckensnittsstorlek

  Välj Eget... för att använda vilken kombination som helst av teckensnitt, storlek och stil. Filen `README.fonts` i källkodspaketet för &konsole; ger tips om vilka teckensnitt som fungerar bra.

Inställningar Tangentbord

  Väljer tangentbindning som önskas.

  Listan med tangentbindningar hämtas från `$KDEDIR/share/apps/konsole/*.keytab`. Filen `$KDEDIR/share/apps/konsole/README.KeyTab` beskriver keytab-formatet i mer detalj. Lägg till eller ändra dessa filer för att passa dina behov.

Inställningar Schema

  Ställer in färger för text och bakgrund.

  Listan på dessa scheman hämtas från `$KDEDIR/share/apps/konsole/*.schema`. Filen `$KDEDIR/share/apps/konsole/README.Schema` beskriver schema-formatet i mer detalj. Du kan också skapa egna scheman från inställningsmodulen System Konsollen.

Inställningar Storlek

  Ställer in storleken på textområdet (angiven i kolumner och rader).

Inställningar Historik...

  Öppnar en dialogruta där du kan ställa in historiken.. Rutan aktivera väljer om rader som rullar utanför fönstret längst upp ska sparas eller inte. Du kan skriva in Antal rader som ska kommas ihåg i textrutan, eller använda knapparna för att öka eller minska antalet i steg om 100 rader. Knappen Förval återställer historiken till 1000 rader. Att sätta värdet till 0, gör att all historik sparas. Tryck på Ok för att spara dina ändringar, ellerAvbryt för att stänga dialogrutan utan att spara dina inställningar. Knappen Hjälp öppnar den här handboken, och visar texten som du läser just nu.

Inställningar Spara inställningarna

  Sparar de nuvarande inställningarna som de nya standardinställningarna.

Inställningar Anpassa &konsole;

  Öppnar modulen i inställningscentralen, för att tillåta många ytterligare ändringar i gränssnittet för Terminal.

#### Menyn Hjälp

F1 Hjälp Innehåll...

  Öppnar innehållsförteckningen för det här dokumentet.

Hjälp Dagens tips...

  Visar ett hjälpsamt tips om hur Terminal används. Markera rutan Visa vid start för att visa ett tips varje gång Terminal startas.

Hjälp Rapportera fel...

  Skicka en felrapport eller begäran om en ny funktion för &konsole;

Hjälp Om Konsole...

  Information om &konsole;s upphovsman

Hjälp Om KDE...

  Information om KDE-projektet

### Verktygsraden

Verktygsraden finns längst ner i terminalfönstret.

Den kan gömmas och visas igen genom att växla Visa verktygsrad i menyn Inställningar eller genom att klicka på den streckade rutan vid verktygsradens kant. Verktygsraden innehåller en Ny-ikon och ikoner för de nuvarande sessionerna. Genom att klicka på Ny visas en ny skal-session.

Att dubbelklicka på en sessionsflik öppnar en dialogruta som låter dig ändra namn på sessionen. &Alt;&Ctrl;S kan också användas för att byta namn på den aktiva sessionen.

Genom att klicka på en befintlig sessions ikon blir den aktiv.

När verktygsraden är dold, kan Skift Vänster och Skift Höger användas för att byta mellan sessioner.

### Kommandoradsväljare

När Terminal startas från kommandoraden kan olika väljare anges för att ändra dess beteende.

`--help`

  Visa hjälp om väljare

`--name` `namn`

  Ange namnet som visas i namnlisten

`--ls`

  Starta med en inloggningsskalmiljö. Vad det innebär beror på systemet, men i allmänhet betyder det att filer som `~/.profile` eller `~/.bash_profile` läses. (Om det här inte är meningsfullt för dig, bry dig inte om det, men ha det i åtanke om du senare skulle inse att du behöver det.)

`-T` `titel`

  Ange fönstertitel

`--tn` `terminal`

  Ställer in miljövariabeln TERM till det angivna värdet. Läs ``man` `xterm`` för mer information om TERM.

`--xwin`

  Ignoreras

`--nohist`

  Spara inte rader som rullar utanför fönstret i överkanten

`--nomenubar`

  Starta Terminal utan en menyrad

`--notoolbar`

  Starta Terminal utan en verktygsrad

`--noframe`

  Starta Terminal utan en fönsterram

`--noscrollbar`

  Starta Terminal utan någon rullningslist

`--noxft`

  Starta Terminal utan kantutjämning med Xft. Kantutjämning av ett litet teckensnitt kan vara svårläst.

`--vt_sz` `KxR`

  Starta ett terminalfönster med K kolumner och R rader

`--type` `typ`

  Starta en session av den angivna typen istället för den förvalda.

`--workdir` `katalog`

  Öppna med `katalog` som arbetskatalog.

`-e` `kommando`

  Kör `kommando` istället för ett skal.

Till exempel:

    bash$ konsole--vt_sz 90x25--nohist

startar ett terminalfönster med 90 kolumner och 25 rader, utan historik

Terminal accepterar också generella &Qt;- och &kde;-väljare:

`--help-qt`

  Visa väljare specifika för Qt

`--help-kde`

  Visa väljare specifika för KDE

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsmän

`-v,--version`

  Visa versionsinformation

`--license`

  Visa licensinformation

## Tack till och Copyright

&konsole; underhålls av Stephan Binner Stephan.Binner@gmx.de

Programmet &konsole; Copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Det här dokumentet är skrivet av Jonathan Singer jsinger@leeta.net

Överfört till DocBook SGML av Michael McBride mmcbride@ematic.com och Lauri Watts lauri@kde.org

Översättning Stefan Asserhäll stefan.asserhall@telia.com

&underFDL; &underGPL;

## &konsole; på andra plattformar än &Linux;

Information om hur man bygger &konsole; på andra plattformar än &Linux; finns tillgänglig i filen `README.ports` i källkodspaketet för &konsole;. Den ger en lista på experter för vissa plattformar (Tru64, &Solaris;, OpenBSD) och frågar efter frivilliga för andra &UNIX;-plattformar.

&documentation.index;